# 
# RiskScape™ Copyright New Zealand Institute for Earth Science Limited
# (Earth Sciences New Zealand) is distributed for research purposes only
# under the terms of AGPLv3.
# 
# RiskScape™ Copyright 2025 New Zealand Institute for Earth Science
# Limited (Earth Sciences New Zealand). All rights reserved. Source code
# available under the AGPLv3.
# 
# This program is free software: you can redistribute it and/or modify it under
#  the terms of the GNU Affero General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option) any
#  later version.
# 
# This program is distributed for RESEARCH PURPOSES ONLY, in the hope that it will
# be useful for research and education initiatives.
# 
# If you are not a researcher, or you are a researcher who wishes to use this
# program on terms other than AGPLv3 (including those who wish to restrict the
# distribution of any source code created using this program), please contact:
# https://riskscape.org.nz
# 
# This program is distributed WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.  You should have received a copy
# of the GNU Affero General Public License along with this program.  If not, see
# <http://www.gnu.org/licenses/>.
# 
# By way of summary only, under the AGPLv3:
#     • Permissions of this strongest copyleft license are conditioned
#       on making available complete source code of licensed works and
#       modifications, which include larger works using a licensed work,
#       under the same license.
#     • Copyright and license notices must be preserved.
#     • Contributors provide an express grant of patent rights.
#     • When a modified version is used to provide a service over a
#       network, the complete source code of the modified version must be made
#       available.
# 
nz.org.riskscape.cpython.CPythonFunctionFramework.LocalProblems.ZERO_ARGS_NOT_SUPPORTED = \
    At least one `argument-type` must be specified for CPython functions

nz.org.riskscape.cpython.CPythonFunctionFramework.LocalProblems.TYPE_NOT_SUPPORTED = \
    Type ''{0}'' is not supported for CPython {1}. Try either changing the type, omitting it \
    from your function, or adding `framework = jython` to your INI file function definition. \
    Supported CPython types are: {2}

nz.org.riskscape.cpython.CPythonExecStep.LocalProblems.TYPE_NOT_SUPPORTED = \
    Input from step ''{0}'' includes type(s) that can not be sent to CPython: {1}. \
    Try removing any attributes with these types from the previous step.

nz.org.riskscape.cpython.CPythonExecStep.LocalProblems.TYPE_NOT_SUPPORTED_HINT = \
     Step ''{0}'' produces {1}

nz.org.riskscape.cpython.CPythonProblems.FAILED_TO_START_PLUGIN = \
    Failed to start CPython plugin - ''{0}''.  Any python functions included with your project may \
    fail to register.

nz.org.riskscape.cpython.CPythonProblems.FUNCTION_CALL_EXCEPTION = \
    Your CPython function raised an error: {0}

nz.org.riskscape.cpython.CPythonFunctionFramework.LocalProblems.NOT_ENABLED = \
    CPython functions are not available.  Please follow the CPython set up instructions and confirm that RiskScape \
    starts without warnings and try again.

nz.org.riskscape.cpython.CPythonProblems.FUNCTION_OUTPUT = \
    {0}: {1}

nz.org.riskscape.cpython.CPythonProblems.FAILED_TO_START_SCRIPT = \
    Failed to load your CPython script for {0}.  The reported error was: {1}

nz.org.riskscape.cpython.CPythonProblems.FAILED_TO_LOAD_SCRIPT = \
    Failed to load your CPython script for {0}

nz.org.riskscape.cpython.CPythonProblems.FAILED_TO_READ_RESULT = \
  An error occurred reading the result yielded by the {0} CPython code. For example, the type yielded by \
  the Python code may not match the 'result-type' specified in the 'python()' pipeline step. The reported \
  error was: {1}

nz.org.riskscape.cpython.CPythonProblems.MISSING_OUTPUT = \
    Your CPython script {0} tried to register a model output, but the path ({1}) does not exist. \
    Check the path for spelling mistakes and make sure your script is writing to the correct path \
    and try again.

nz.org.riskscape.cpython.CPythonProblems.NO_OUTPUT = \
    Your CPython script does not have a declared result-type or any registered model outputs. \
    Did you forget to call model_output()?

